Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2053955 - Review Request: rust-gh-emoji - Convert `:emoji:` to Unicode using GitHub's emoji names
Summary: Review Request: rust-gh-emoji - Convert `:emoji:` to Unicode using GitHub's e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 2030538
TreeView+ depends on / blocked
 
Reported: 2022-02-13 15:37 UTC by Igor Raits
Modified: 2022-02-20 10:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-02-20 10:53:47 UTC
Type: ---
Embargoed:
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Igor Raits 2022-02-13 15:37:42 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/rust-gh-emoji.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/rust-gh-emoji-1.0.6-1.fc35.src.rpm

Description:
Convert `:emoji:` to Unicode using GitHub's emoji names.

Fedora Account System Username: ignatenkobrain

Comment 1 Igor Raits 2022-02-13 15:37:45 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=82773131

Comment 2 Fabio Valentini 2022-02-13 21:25:57 UTC
Package was generated with rust2rpm, simplifying the review.

- package builds and installs without errors on rawhide
- test suite is run and all unit tests pass
- latest version of the crate is packaged
- license matches upstream specification (MIT) and is acceptable for Fedora
- license file is included with %license in %files
- package complies with Rust Packaging Guidelines

Package APPROVED.

===

Recommended post-import rust-sig tasks:

- add package to rust-sig with "commit" access

- set bugzilla assignee overrides to @rust-sig (optional)

- set up package on release-monitoring.org:
  project: $crate
  homepage: https://crates.io/crates/$crate
  backend: crates.io
  version scheme: semantic
  version filter: alpha;beta;rc;pre
  distro: Fedora
  Package: rust-$crate

- track package in koschei for all built branches

===

Note: You might want to remove the markdown markup from the package summary (i.e. the `code` backticks).
They're only noise, as RPM Summaries are only ever rendered as plain text.

Comment 3 Igor Raits 2022-02-14 08:04:37 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-gh-emoji

Comment 4 Fedora Update System 2022-02-20 10:51:43 UTC
FEDORA-2022-cc9d99fe50 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-cc9d99fe50

Comment 5 Fedora Update System 2022-02-20 10:53:47 UTC
FEDORA-2022-cc9d99fe50 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2022-02-20 10:54:02 UTC
FEDORA-2022-541a855ef4 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-541a855ef4

Comment 7 Fedora Update System 2022-02-20 10:56:46 UTC
FEDORA-2022-541a855ef4 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.